Where is taken the Oracle jdbc version during the primary HUB installation

Document ID : KB000016431
Last Modified Date : 14/02/2018
Show Technical Document Details
Introduction:

Oracle JDBC version specified at the UIM primary hub installation

Question:

Where is is taken/specified  the Oracle jdbc version during the UIM primary hub installation (fresh installation)?

Environment:
UIM 8.5.1 ORACLE 11.2
Answer:

At install time, you can specify which Oracle instant-client version to install.

This is the version data_engine picks up and uses when inserting data into the DB. 

Even if we ship an updated driver with the product, you could still pick a bad version of the instant client at install time.